Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icewri.F90
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icewri.F90	(revision 8564)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icewri.F90	(revision 8597)
@@ -128,8 +128,6 @@
       CALL iom_put( "snowvol"     , vt_s  * zswi      )        ! snow volume
       
-      IF ( ln_pnd ) THEN
-         CALL iom_put( "iceamp"  , at_ip  * zswi        )   ! melt pond total fraction
-         CALL iom_put( "icevmp"  , vt_ip  * zswi        )   ! melt pond total volume per unit area
-      ENDIF
+      CALL iom_put( "iceamp"  , at_ip  * zswi        )   ! melt pond total fraction
+      CALL iom_put( "icevmp"  , vt_ip  * zswi        )   ! melt pond total volume per unit area
 
       !----------------------------------
@@ -145,10 +143,8 @@
       IF ( iom_use('brinevol_cat') )  CALL iom_put( "brinevol_cat", bv_i * 100. * zswi2 )          ! brine volume
 
-      IF ( ln_pnd ) THEN
-         IF ( iom_use('iceamp_cat') )  CALL iom_put( "iceamp_cat"     , a_ip       * zswi2   )       ! melt pond frac for categories
-         IF ( iom_use('icevmp_cat') )  CALL iom_put( "icevmp_cat"     , v_ip       * zswi2   )       ! melt pond frac for categories
-         IF ( iom_use('icehmp_cat') )  CALL iom_put( "icehmp_cat"     , h_ip       * zswi2   )       ! melt pond frac for categories
-         IF ( iom_use('iceafp_cat') )  CALL iom_put( "iceafp_cat"     , a_ip_frac  * zswi2   )       ! melt pond frac for categories
-      ENDIF
+      IF ( iom_use('iceamp_cat') )  CALL iom_put( "iceamp_cat"     , a_ip       * zswi2   )       ! melt pond frac for categories
+      IF ( iom_use('icevmp_cat') )  CALL iom_put( "icevmp_cat"     , v_ip       * zswi2   )       ! melt pond frac for categories
+      IF ( iom_use('icehmp_cat') )  CALL iom_put( "icehmp_cat"     , h_ip       * zswi2   )       ! melt pond frac for categories
+      IF ( iom_use('iceafp_cat') )  CALL iom_put( "iceafp_cat"     , a_ip_frac  * zswi2   )       ! melt pond frac for categories
 
       !--------------------------------
@@ -316,14 +312,8 @@
       CALL histdef( kid, "sidive", "Ice divergence"          , "10-8s-1",   &
       &      jpi, jpj, kh_i, 1, 1, 1, -99, 32, "inst(x)", rdt, rdt ) 
-
-      ! MV MP 2016
-      IF ( ln_pnd ) THEN
-         CALL histdef( kid, "si_amp", "Melt pond fraction"      , "%"      ,   &
-      &         jpi, jpj, kh_i, 1, 1, 1, -99, 32, "inst(x)", rdt, rdt )
-         CALL histdef( kid, "si_vmp", "Melt pond volume"        ,  "m"     ,   &
-      &         jpi, jpj, kh_i, 1, 1, 1, -99, 32, "inst(x)", rdt, rdt )
-      ENDIF
-      ! END MV MP 2016
-
+      CALL histdef( kid, "si_amp", "Melt pond fraction"      , "%"      ,   &
+      &      jpi, jpj, kh_i, 1, 1, 1, -99, 32, "inst(x)", rdt, rdt )
+      CALL histdef( kid, "si_vmp", "Melt pond volume"        ,  "m"     ,   &
+      &      jpi, jpj, kh_i, 1, 1, 1, -99, 32, "inst(x)", rdt, rdt )
       CALL histdef( kid, "vfxbog", "Ice bottom production"   , "m/s"    ,   &
       &      jpi, jpj, kh_i, 1, 1, 1, -99, 32, "inst(x)", rdt, rdt )
@@ -370,10 +360,6 @@
       CALL histwrite( kid, "sidive", kt, divu_i*1.0e8   , jpi*jpj, (/1/) )
 
-      ! MV MP 2016
-      IF ( ln_pnd ) THEN
-         CALL histwrite( kid, "si_amp", kt, at_ip         , jpi*jpj, (/1/) )
-         CALL histwrite( kid, "si_vmp", kt, vt_ip         , jpi*jpj, (/1/) )
-      ENDIF
-      ! END MV MP 2016
+      CALL histwrite( kid, "si_amp", kt, at_ip         , jpi*jpj, (/1/) )
+      CALL histwrite( kid, "si_vmp", kt, vt_ip         , jpi*jpj, (/1/) )
 
       CALL histwrite( kid, "vfxbog", kt, wfx_bog        , jpi*jpj, (/1/) )
@@ -384,6 +370,5 @@
       CALL histwrite( kid, "vfxbom", kt, wfx_bom        , jpi*jpj, (/1/) )
       CALL histwrite( kid, "vfxsum", kt, wfx_sum        , jpi*jpj, (/1/) )
-      IF ( ln_pnd ) &
-         CALL histwrite( kid, "vfxpnd", kt, wfx_pnd     , jpi*jpj, (/1/) )
+      CALL histwrite( kid, "vfxpnd", kt, wfx_pnd        , jpi*jpj, (/1/) )
 
       CALL histwrite( kid, "sithicat", kt, h_i         , jpi*jpj*jpl, (/1/) )    
